Get Curated App
Get full detail for a single curated app catalog entry. Args: entry_id: UUID of the catalog entry. session: Database session (injected). service: CuratedAppService instance (injected). Returns: Full detail including auth, config, tools preview, etc. Raises: HTTPException: 404 if entry not found.
Authorization
User API Key User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Path Parameters
uuidCookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/curated-apps/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_name": "string",
"category": "string",
"description": "string",
"icon_url": "string",
"type": "remote",
"credential_mode": "managed",
"auth_type": "none",
"tools_count": 0,
"tags": [
"string"
],
"auth": {},
"config": {},
"tools_preview": [
{}
],
"security_pipeline": {},
"metadata": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Activate Curated App
Activate a curated app by creating an MCP server instance (copy-on-activate). Args: entry_id: UUID of the catalog entry to activate. session: Database session (injected). service: CuratedAppService instance (injected). connection_name: Optional suffix for the created server name. credential_mode: Override credential mode (managed/user_provided). Returns: Activation result with server_id, name, and optional OAuth redirect URL. Raises: HTTPException: 404 if catalog entry not found.
List Categories
Get all categories with entry counts. Args: session: Database session (injected). service: CuratedAppService instance (injected). Returns: List of categories with their entry counts.
